21.11.2018, 09:28 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
voigf
15 Titel: firmware-linux-nonfree  BeitragVerfasst am: 22.12.2017, 17:03 Uhr



Anmeldung: 21. Dez 2017
Beiträge: 37

Hallo,
ich habe gestern problemlos 'steelfire-nightly' zum Laufen gebracht.
Konnte meinen Brother-Drucker mit den brothereigenen Treibern und andere Programme zügig installieren. Leider hapert es bei der Scannerinstallation.
Folgende Meldungen werden angezeigt:
Zitat:
root@LinuxBox:/home/xyz/Downloads/Brother# dpkg -i --force-all brscan4-0.4.4-4.amd64.deb
(Lese Datenbank ... 175039 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von brscan4-0.4.4-4.amd64.deb ...
-e ERROR: libusb-0.1 is required.
dpkg: Fehler beim Bearbeiten des Archivs brscan4-0.4.4-4.amd64.deb (--install):
Unterprozess neues pre-installation-Skript gab den Fehlerwert 2 zurück
Fehler traten auf beim Bearbeiten von: brscan4-0.4.4-4.amd64.deb


Beim Versuch das geforderte Programm libusb-0.1 zu installieren, folgende Fehlermeldung:
Zitat:
root@LinuxBox:/home/xyz/Downloads/Brother# apt-get install libusb-0.1
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Hinweis: »libusb-0.1-4« wird für regulären Ausdruck »libusb-0.1« gewählt.
Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
firmware-linux-nonfree : Hängt ab von: firmware-misc-nonfree (= 20161130-3) soll aber nicht installiert werden
Hängt ab von: firmware-amd-graphics (= 20161130-3) soll aber nicht installiert werden
E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an)
.

Fehlermeldung nach apt --fix-broken install:
Zitat:

root@LinuxBox:/home/xyz# apt --fix-broken install
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Abhängigkeiten werden korrigiert ... Fertig
The following additional packages will be installed:
firmware-amd-graphics firmware-misc-nonfree
Die folgenden NEUEN Pakete werden installiert:
firmware-amd-graphics firmware-misc-nonfree
0 aktualisiert, 2 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
1 nicht vollständig installiert oder entfernt.
Es müssen noch 0 B von 3.886 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 23,5 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] j
(Lese Datenbank ... 175039 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../firmware-misc-nonfree_20161130-3_all.deb ...
Entpacken von firmware-misc-nonfree (20161130-3) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/firmware-misc-nonfree_20161130-3_all.deb (--unpack):
Versuch, »/lib/firmware/3com/typhoon.bin« zu überschreiben, welches auch in Paket linux-firmware 1.169 ist
dpkg-deb: Fehler: Unterprozess einfügen wurde durch Signal (Datenübergabe unterbrochen (broken pipe)) getötet
Vorbereitung zum Entpacken von .../firmware-amd-graphics_20161130-3_all.deb ...
Entpacken von firmware-amd-graphics (20161130-3) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/firmware-amd-graphics_20161130-3_all.deb (--unpack):
Versuch, »/lib/firmware/amdgpu/carrizo_ce.bin« zu überschreiben, welches auch in Paket linux-firmware 1.169 ist
dpkg-deb: Fehler: Unterprozess einfügen wurde durch Signal (Datenübergabe unterbrochen (broken pipe)) getötet
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/firmware-misc-nonfree_20161130-3_all.deb
/var/cache/apt/archives/firmware-amd-graphics_20161130-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Fehlermeldung nach Installationsversuch von firmware-amd-graphics
Zitat:
root@LinuxBox:/home/xyz/Downloads/Brother# apt-get install firmware-amd-graphics
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Probieren Sie »apt --fix-broken install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
firmware-linux-nonfree : Hängt ab von: firmware-misc-nonfree (= 20161130-3) soll aber nicht installiert werden
E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt --fix-broken install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).
root@LinuxBox:/home/xyz/Downloads/Brother#


Was muss ich ändern/korrigieren um diese Fehler zu beheben???
Dank im Voraus
voigf


Zuletzt bearbeitet von voigf am 27.12.2017, 17:25 Uhr, insgesamt ein Mal bearbeitet
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Kano
Titel: firmware-linux-nonfree  BeitragVerfasst am: 22.12.2017, 18:03 Uhr



Anmeldung: 17. Dez 2003
Beiträge: 16636

Wenn bei dir das Firmware Paket von Ubuntu Probleme macht:
Code:
dpkg --purge linux-firmware
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
voigf
Titel: firmware-linux-nonfree  BeitragVerfasst am: 22.12.2017, 18:26 Uhr



Anmeldung: 21. Dez 2017
Beiträge: 37

Danke Kano! Voller Erfolg!
Wie setze ich das Thema auf gelöst???
Schöne Festtage!
voigf
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
besenmuckel
Titel: firmware-linux-nonfree  BeitragVerfasst am: 23.12.2017, 00:07 Uhr



Anmeldung: 28. Mar 2004
Beiträge: 1058
Wohnort: Wolfenbuettel
Gelösthaken - habe ich hier mal beschrieben.
https://kanotix.com/index.php?name=PNph ... highlight=

_________________
probieren geht über studieren
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
voigf
15 Titel: firmware-linux-nonfree  BeitragVerfasst am: 23.12.2017, 18:36 Uhr



Anmeldung: 21. Dez 2017
Beiträge: 37

Titel: firmware-linux-nonfree
javascript:posticon('15')
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
voigf
Titel: firmware-linux-nonfree  BeitragVerfasst am: 23.12.2017, 18:39 Uhr



Anmeldung: 21. Dez 2017
Beiträge: 37

Das war's nicht!!!!
Wie editiere ich meinen ersten Beitrag??
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
ockham23
Titel: firmware-linux-nonfree  BeitragVerfasst am: 26.12.2017, 18:14 Uhr



Anmeldung: 25. Mar 2005
Beiträge: 2131

in der unteren rechten Ecke des ersten Beitrags sind zwei Knöpfe mit den Aufschriften "quote" und "edit". Du musst auf "edit" klicken, um den ersten Beitrag zu bearbeiten. Durch Setzen des grünen Hakens wird der Beitrag als gelöst markiert.

_________________
And I ain't got no worries 'cause I ain't in no hurry at all (Doobie Brothers, "Black Water").
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
voigf
Titel: firmware-linux-nonfree  BeitragVerfasst am: 27.12.2017, 17:28 Uhr



Anmeldung: 21. Dez 2017
Beiträge: 37

Danke für den Tipp!
Mensch, bin ich blond.... Verlegen
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.